﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;
using System.Linq;

public class RotateWithVelocity : MonoBehaviour {
    public Rigidbody2D body;

    Transform thisTransform;
	void Awake()
    {
        thisTransform = transform;
    }

	void Update()
	{
	    if(body.velocity.x != 0)
        {
            float dir = body.velocity.x > 0 ? 1 : 0;
            thisTransform.localEulerAngles = new Vector3(0,dir * 180,0);
        }
	}
}
